## kexi 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
find_package(ECM 1.8.0 REQUIRED NOMODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
include(SetKexiCMakePolicies NO_POLICY_SCOPE)
include(SetKexiVersionInfo)

project(Kexi VERSION ${PROJECT_VERSION})

include(KexiAddTests)
kexi_add_tests(OFF)

# ECM
include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMSetupVersion)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)

# Own
include(KexiMacros)
include(KexiAddIconsRccFile)
include(KexiGenerateDependencyGraph)

ensure_out_of_source_build("Please refer to the build instruction https://community.kde.org/Kexi/Building")
get_git_revision_and_branch()
detect_release_build()

 #######################
########################
## Productset setting ##
########################
#######################

# For predefined productsets see the definitions in KexiProducts.cmake and
# in the files in the folder cmake/productsets.

# Finding out the products & features to build is done in 5 steps:
# 1. have the user define the products/features wanted, by giving a productset
# 2. estimate all additional required products/features
# 3. estimate which of the products/features can be build by external deps
# 4. find which products/features have been temporarily disabled due to problems
# 5. estimate which of the products/features can be build by internal deps

# get the special macros
include(CalligraProductSetMacros)

set(PRODUCTSET_DEFAULT "DESKTOP")

if(NOT PRODUCTSET OR PRODUCTSET STREQUAL "ALL")
    # Force the default set also when it is "ALL" because we can't build both desktop and mobile
    set(PRODUCTSET ${PRODUCTSET_DEFAULT} CACHE STRING "Set of products/features to build" FORCE)
endif()

# get the definitions of products, features and product sets
include(KexiProducts.cmake)

if (RELEASE_BUILD)
    set(KEXI_SHOULD_BUILD_STAGING FALSE)
else ()
    set(KEXI_SHOULD_BUILD_STAGING TRUE)
endif ()

# finally choose products/features to build
calligra_set_productset(${PRODUCTSET})

 ##########################
###########################
## Look for Qt, KF5 ##
###########################
##########################

set(REQUIRED_KF5_VERSION 5.16.0)
set(REQUIRED_KF5_COMPONENTS
    Archive
    Codecs
    Config
    ConfigWidgets
    CoreAddons
    GuiAddons
    I18n
    IconThemes
    ItemViews
    WidgetsAddons
    TextWidgets
    XmlGui
)
if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    list(APPEND REQUIRED_KF5_COMPONENTS
        Completion
        KIO
        TextEditor
        TextWidgets
    )
endif()
find_package(KF5 ${REQUIRED_KF5_VERSION} REQUIRED COMPONENTS ${REQUIRED_KF5_COMPONENTS})

find_package(KF5 ${REQUIRED_KF5_VERSION} COMPONENTS Crash)
macro_bool_to_01(KF5Crash_FOUND HAVE_KCRASH)
set_package_properties(KF5Crash PROPERTIES TYPE OPTIONAL
                       PURPOSE "Used to provide crash reporting on Linux")

set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Core Gui Widgets Xml Network PrintSupport Test)
find_package(Qt5 ${REQUIRED_QT_VERSION} COMPONENTS UiTools WebKit WebKitWidgets)

# use sane compile flags
add_definitions(
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_STRICT_ITERATORS
  -DQT_USE_FAST_CONCATENATION
  -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_USE_QSTRINGBUILDER
)

# overcome some platform incompatibilities
if(WIN32)
    find_package(KDEWin REQUIRED)
endif()

# set custom Kexi plugin installdir
set(KEXI_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/${KEXI_BASE_PATH})

simple_option(BUILD_EXAMPLES "Build and install examples" ON)

macro_bool_to_01(BUILD_EXAMPLES COMPILING_EXAMPLES)

# set custom Kexi examples installdir
set(KEXI_EXAMPLES_INSTALL_DIR ${SHARE_INSTALL_PREFIX}/${KEXI_BASE_PATH}/examples)

# TEMPORARY: for initial Qt5/KF5 build porting phase deprecation warnings are only annoying noise
# remove once code porting phase starts, perhaps first locally in product subdirs
#if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUC)
#    add_definitions(-Wno-deprecated -Wno-deprecated-declarations)
#endif ()

 ###########################
############################
## Required dependencies  ##
############################
###########################

set(KEXI_FRAMEWORKS_MIN_VERSION 3.1.0)

##
## Test for KDb
##
simple_option(KEXI_DEBUG_GUI "Debugging GUI for Kexi (requires KDB_DEBUG_GUI to be set too)" OFF)
if(KEXI_DEBUG_GUI)
    set(KDB_REQUIRED_COMPONENTS DEBUG_GUI)
endif()
find_package(KDb ${KEXI_FRAMEWORKS_MIN_VERSION} REQUIRED COMPONENTS ${KDB_REQUIRED_COMPONENTS})
set_package_properties(KDb PROPERTIES TYPE REQUIRED
                       PURPOSE "Required by Kexi for data handling")

##
## Test for KReport
##
find_package(KReport ${KEXI_FRAMEWORKS_MIN_VERSION})
set_package_properties(KReport PROPERTIES TYPE REQUIRED
                       PURPOSE "Required by Kexi for report handling")
if (KReport_FOUND)
    if(NOT KREPORT_SCRIPTING)
        message(FATAL_ERROR "Kexi requires KReport package with scripting support enabled (KREPORT_SCRIPTING)")
    endif()
endif()

##
## Test for KPropertyWidgets
##
if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    find_package(KPropertyWidgets ${KEXI_FRAMEWORKS_MIN_VERSION} REQUIRED COMPONENTS KF)
    set_package_properties(KPropertyWidgets PROPERTIES TYPE REQUIRED
                           PURPOSE "Required by Kexi for handling properties")
else() # only KPropertyCore
    find_package(KPropertyCore ${KEXI_FRAMEWORKS_MIN_VERSION} REQUIRED COMPONENTS KF)
    set_package_properties(KPropertyCore PROPERTIES TYPE REQUIRED
                           PURPOSE "Required by Kexi for handling properties")
endif()
include(CheckIfQtGuiCanBeExecuted)

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
include(CheckGlobalBreezeIcons)
endif()
 ###########################
############################
## Optional dependencies  ##
############################
###########################

##
## Test for marble
##
set(MARBLE_MIN_VERSION "0.19.2")
find_package(KexiMarble ${MARBLE_MIN_VERSION})
set_package_properties(KexiMarble PROPERTIES
    DESCRIPTION "KDE World Globe Widget library"
    URL "https://marble.kde.org"
    TYPE RECOMMENDED
    PURPOSE "Required by Kexi form map widget"
)
if(NOT MARBLE_FOUND)
    set(MARBLE_INCLUDE_DIR "")
else()
    set(HAVE_MARBLE TRUE)
endif()
set_package_properties(GLIB2 PROPERTIES TYPE RECOMMENDED PURPOSE "${_REQUIRED_BY_MDB}")

##
## Test for Qt WebKitWidgets
##
#TODO switch to Qt WebEngine
macro_bool_to_01(Qt5WebKitWidgets_FOUND HAVE_QTWEBKITWIDGETS)
set_package_properties(Qt5WebKit PROPERTIES
                       DESCRIPTION "Webkit for Qt, the HTML engine."
                       URL "http://qt.io"
                       TYPE RECOMMENDED PURPOSE "Required by Kexi web form widget"
)
set_package_properties(Qt5WebKitWidgets PROPERTIES
                       DESCRIPTION "QWidgets module for Webkit, the HTML engine."
                       URL "http://qt.io"
                       TYPE RECOMMENDED PURPOSE "Required by Kexi web form widget"
)

 ##################
###################
## Helper macros ##
###################
##################

include(MacroKexiAddBenchmark)
include(MacroKexiAddTest)

#############################################
####      Temporarily broken products    ####
#############################################

# If a product does not build due to some temporary brokeness disable it here,
# by calling calligra_disable_product with the product id and the reason,
# e.g.:
# calligra_disable_product(APP_KEXI "isn't buildable at the moment")

#############################################
####     Calculate buildable products    ####
#############################################

calligra_drop_unbuildable_products()


#############################################
####     Setup product-depending vars    ####
#############################################

 ###################
####################
## Subdirectories ##
####################
###################

add_subdirectory(src)

if(SHOULD_BUILD_DOC)
    find_package(KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS DocTools)
    add_subdirectory(doc)
endif()

# non-app directories are moved here because they can depend on SHOULD_BUILD_{appname} variables set above
add_subdirectory(cmake)

if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
endif()

calligra_product_deps_report("product_deps")
calligra_log_should_build()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== doc/CMakeLists.txt ===
add_subdirectory(kexi)

=== src/CMakeLists.txt ===
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

check_function_exists("uname" HAVE_UNAME)

simple_option(KEXI_SHOW_UNFINISHED "Show unfinished features in Kexi. Thus is useful for testing but may confuse end-user." OFF)
simple_option(KEXI_SHOW_UNIMPLEMENTED "Forces to show menu entries and dialogs just to give impression about development plans for Kexi. Only recommended for test/development versions." OFF)

# Extra GUI features
if(NOT KEXI_MOBILE)
    simple_option(KEXI_AUTORISE_TABBED_TOOLBAR "Experimental: Autorise the main tabbed toolbar in Kexi" OFF)
    if(WIN32 OR APPLE)
        set(_KEXI_USE_KFILEWIDGET_DEFAULT OFF)
    else()
        set(_KEXI_USE_KFILEWIDGET_DEFAULT ON)
    endif()
    simple_option(KEXI_USE_KFILEWIDGET "Use KFileWidget-based inline file browser in Kexi. If OFF, a simple \
replacement file widget with native file dialogs is used. ON by default on UNIX, OFF by default on Windows \
and macOS. \
Note: Non-plasma Linux desktops still default to the simple replacement at runtime."
           ${_KEXI_USE_KFILEWIDGET_DEFAULT}
    )
endif(NOT KEXI_MOBILE)

# Experimental:
simple_option(KEXI_SCRIPTS_SUPPORT "Experimental: Enable scripting in Kexi" OFF)
if(KEXI_SCRIPTS_SUPPORT)
    set(REQUIRED_QTQML_VERSION 5.8.0) # >= 5.8 because of QJSEngine::newQMetaObject()
    find_package(Qt5Qml ${REQUIRED_QTQML_VERSION} REQUIRED)
    set_package_properties(Qt5Qml PROPERTIES
                        DESCRIPTION "A framework for developing applications and libraries with the QML and JavaScript language."
                        URL "http://qt.io"
                        TYPE REQUIRED PURPOSE "Required by Kexi scripting (JavaScript)"
    )
endif()

# Broken:
simple_option(KEXI_FORM_CURSOR_PROPERTY_SUPPORT "Broken: Enable \"cursor\" property in the form designer" OFF)
simple_option(KEXI_SHOW_CONTEXT_HELP "Broken: Enable context help in Kexi main window" OFF)
simple_option(KEXI_QUICK_PRINTING_SUPPORT "Broken: Enable print/print preview/print setup for tables/queries in the project navigator" OFF)
simple_option(KEXI_AUTOFIELD_FORM_WIDGET_SUPPORT "Broken: Enable \"auto field\" form widget in the form designer" OFF)
# OFF because we need to replace it with QTreeWidget which uses very different API compared to Q3ListView. Re-add QTreeWidget?
simple_option(KEXI_LIST_FORM_WIDGET_SUPPORT "Broken: Enable \"list\" form widget in the form designer" OFF)
simple_option(KEXI_PIXMAP_COLLECTIONS_SUPPORT "Broken: Enable support for pixmap collections" OFF)

# Not available:
simple_option(KEXI_MACROS_SUPPORT "Experimental: Enable macros in Kexi" OFF)
if(KEXI_MACROS_SUPPORT) # temp.
    message(FATAL_ERROR "Macros are not yet available.")
endif()
simple_option(KEXI_TABLE_PRINT_SUPPORT "Experimental: Enable printing of tabular view in Kexi" OFF) # broken since Kexi 2
if(KEXI_TABLE_PRINT_SUPPORT) # temp.
    message(FATAL_ERROR "Table printing is not yet available.")
endif()
simple_option(KEXI_PROJECT_TEMPLATES "Experimental: Enable support for project templates in Kexi" OFF) # broken since Kexi 2
if(KEXI_PROJECT_TEMPLATES) # temp.
    message(FATAL_ERROR "Project templates are not yet available.")
endif()

#See commit 1e433a54cd9, left here for reference
#option(KEXI_SQLITE_MIGRATION "If defined, SQLite3 migration to some newer format is possible. Users can see a suitable question on app's startup." OFF)

add_definitions(-DTRANSLATION_DOMAIN=\"kexi\")

#no default: add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44010)

macro_bool_to_01(SHOULD_BUILD_KEXI_DESKTOP_APP KEXI_DESKTOP)
macro_bool_to_01(SHOULD_BUILD_KEXI_MOBILE_APP KEXI_MOBILE)
configure_file(config-kexi.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kexi.h )
configure_file(KexiVersion.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/KexiVersion.h)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/core
)

add_subdirectory( kexiutils )
add_subdirectory( core )

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    add_subdirectory( widget )
    add_subdirectory( main )
    add_subdirectory( formeditor )
    add_subdirectory( migration )
endif()

add_subdirectory( data )
add_subdirectory( plugins )

if (BUILD_TESTING)
#TODO KEXI3 add_subdirectory( tests )
endif()

########### next target ###############

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    set(kexi_SRCS
        main.cpp
        Messages.sh

        # non-source:
        ${CMAKE_SOURCE_DIR}/kundo2_aware_xgettext.sh
        Mainpage.dox
        Messages.sh
    )
    kexi_add_app_icons(kexi_SRCS)
    kexi_add_app_metadata_files(kexi_SRCS)
    kexi_add_executable(kexi ${kexi_SRCS})
    target_link_libraries(kexi
        PRIVATE
            keximain
    )
    install(TARGETS kexi ${INSTALL_TARGETS_DEFAULT_ARGS})

    add_subdirectory( pics )
endif()

if(SHOULD_BUILD_KEXI_MOBILE_APP)
#  add_subdirectory( mobile )
endif()

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

=== cmake/modules/CMakeLists.txt ===
set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules)

=== src/data/CMakeLists.txt ===
# Adds app icons, updates the source_var list
macro(kexi_add_app_icons source_var)
    set(_files
        ${CMAKE_CURRENT_SOURCE_DIR}/data/16-apps-kexi.png
        ${CMAKE_CURRENT_SOURCE_DIR}/data/32-apps-kexi.png
        ${CMAKE_CURRENT_SOURCE_DIR}/data/48-apps-kexi.png
        ${CMAKE_CURRENT_SOURCE_DIR}/data/64-apps-kexi.png
        ${CMAKE_CURRENT_SOURCE_DIR}/data/128-apps-kexi.png
        ${CMAKE_CURRENT_SOURCE_DIR}/data/256-apps-kexi.png
    )
    if(NOT APPLE)
        # Add larger icons. Not on Mac because iconutil is limited to 256x256 on at least
        # OS X 10.9; that size is probably large enough not to bother testing for OS version here.
        list(APPEND _files
            ${CMAKE_CURRENT_SOURCE_DIR}/data/512-apps-kexi.png
            ${CMAKE_CURRENT_SOURCE_DIR}/data/1024-apps-kexi.png
        )
    endif()
    ecm_add_app_icon(${source_var} ICONS ${_files})
    list(APPEND ${source_var} ${_files})
    unset(_files)
endmacro()

# Adds metadata files to the source_var list
macro(kexi_add_app_metadata_files source_var)
    list(APPEND ${source_var}
         ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.desktop.cmake
         ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.appdata.xml)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.desktop.cmake
                   ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.desktop)

    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.desktop
            DESTINATION ${XDG_APPS_INSTALL_DIR})
    install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/org.kde.kexi.appdata.xml
            DESTINATION ${CMAKE_INSTALL_METAINFODIR}
            RENAME org.kde.kexi-${KEXI_DISTRIBUTION_VERSION}.appdata.xml)
endmacro()

=== src/kexiutils/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44024)

include_directories(completer)

set(kexiutils_LIB_SRCS
  utils.cpp
  FontSettings_p.cpp
  InternalPropertyMap.cpp
  SmallToolButton.cpp
  KexiCommandLinkButton.cpp
  FlowLayout.cpp
  transliteration_table.cpp
  kmessagewidget.cpp
  KexiContextMessage.cpp
  KexiTitleLabel.cpp
  KexiLinkWidget.cpp
  KexiLinkButton.cpp
  KexiCloseButton.cpp
  KexiAssistantPage.cpp
  KexiAssistantWidget.cpp
  KexiAnimatedLayout.cpp
  KexiCategorizedView.cpp
  KexiTester.cpp
  KexiJsonTrader.cpp
  KexiPushButton.cpp
  KexiFadeWidgetEffect.cpp
  KexiPluginMetaData.cpp

  completer/KexiCompleter.cpp
)

if(SHOULD_BUILD_KEXI_MOBILE_APP)
  if (KEXI_DEBUG_GUI)
    list(APPEND kexiutils_LIB_SRCS
      debuggui.cpp
    )
  endif ()
endif ()

if(BUILD_TESTING)
    list(APPEND kexiutils_LIB_SRCS
      KexiTestHandler.cpp
    )
endif()

kexi_add_library(kexiutils SHARED ${kexiutils_LIB_SRCS})

set(kexiutils_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}
)

target_include_directories(kexiutils
    PUBLIC "$<BUILD_INTERFACE:${kexiutils_INCLUDE_DIRS}>"
)

target_link_libraries(kexiutils
    PUBLIC
        KF5::IconThemes
        KF5::WidgetsAddons
        KF5::ConfigWidgets # KStandardAction KColorScheme
        KF5::I18n
        KF5::ItemViews # KCategorizedView KCategoryDrawer
        KDb
    PRIVATE
        KF5::KIOFileWidgets # KFileWidget::getStartUrl(), KRecentDirs
)
if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    target_link_libraries(kexiutils
        PUBLIC
            KF5::KIOWidgets #for KRun...
    )
#target_link_libraries(kexiutils LINK_INTERFACE_LIBRARIES KF5::KIOWidgets)
endif()

if(BUILD_TESTING)
    target_link_libraries(kexiutils
        PRIVATE
            Qt5::Test
    )
endif()

generate_export_header(kexiutils)

install(TARGETS kexiutils  ${INSTALL_TARGETS_DEFAULT_ARGS})

if(FALSE) # TODO: install when we move to independent place
    install( FILES  tristate.h utils.h kexiutils_export.h kexiutils_global.h
    InternalPropertyMap.h
    SmallToolButton.h FlowLayout.h
    kmessagewidget.h KexiContextMessage.h KexiTitleLabel.h KexiAssistantPage.h
    KexiAssistantWidget.h KexiAnimatedLayout.h
    DESTINATION ${INCLUDE_INSTALL_DIR}/kexiutils COMPONENT Devel)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/pics/CMakeLists.txt ===
set(_target "kexi_breeze")
set(_theme "breeze")
set(_prefix)
set(_BASE_DIR ${CMAKE_CURRENT_BINARY_DIR}/resource)
set(_QRC_FILE "${_BASE_DIR}/${_target}.qrc")
set(_RCC_DIR "${CMAKE_BINARY_DIR}/bin/data/icons")
set(_RCC_FILE "${_RCC_DIR}/${_target}.rcc")
include(kexi_breeze_files.cmake)

file(GLOB _PG_CONFIG_HEADERS "${PostgreSQL_INCLUDE_DIR}/pg_config*.h")

add_custom_target(copy_icons
    COMMAND ${CMAKE_COMMAND} -E remove_directory ${_BASE_DIR}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${_BASE_DIR}
    COMMAND ${CMAKE_COMMAND} -E make_directory ${_RCC_DIR}
    COMMAND ${CMAKE_COMMAND} -E copy_directory . ${_BASE_DIR}
    # Don't include other files
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/CMakeLists.txt
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/colorize.cmake
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/kexi_breeze_files.cmake
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/update_kexi_breeze_list.sh
    COMMAND ${CMAKE_COMMAND} -E remove -f ${_BASE_DIR}/icons/${_prefix}/${_theme}/files.cmake
    DEPENDS "${_FILES}"
    SOURCES "${_FILES}"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMENT "Copying icon files to ${_BASE_DIR}"
    VERBATIM
)

add_custom_command(OUTPUT "${status_rcc}"
    COMMAND ${CMAKE_COMMAND} -E copy_if_different calligra-logo-white-glow.png ${_BASE_DIR}
    DEPENDS "${status_qrc}"
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
    COMMENT "Building external Qt resource ${status_rcc}"
    VERBATIM)

add_custom_target(colorize_icons
    COMMAND ${CMAKE_COMMAND} -DSOURCE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -P ${CMAKE_CURRENT_SOURCE_DIR}/colorize.cmake
    DEPENDS "${_FILES}"
    SOURCES colorize.cmake
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Colorizing icons in ${_BASE_DIR}"
    VERBATIM
)
add_dependencies(colorize_icons copy_icons)

add_custom_target(build_qrc
    COMMAND ${Qt5Core_RCC_EXECUTABLE} --project -o "${CMAKE_CURRENT_BINARY_DIR}/${_target}.qrc"
    # avoid adding the .qrc file to rcc due to rcc misfeature
    COMMAND ${CMAKE_COMMAND} -E rename "${CMAKE_CURRENT_BINARY_DIR}/${_target}.qrc" "${_QRC_FILE}"
    DEPENDS "${_FILES}"
    SOURCES "${_FILES}"
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Building Qt resource file ${_QRC_FILE}"
    VERBATIM
)
add_dependencies(build_qrc colorize_icons)

add_custom_target(build_rcc
    COMMAND ${Qt5Core_RCC_EXECUTABLE} --compress 9 --threshold 0 --binary
            --output "${_RCC_FILE}" "${_QRC_FILE}"
    DEPENDS "${_QRC_FILE}" "${_FILES}"
    WORKING_DIRECTORY "${_BASE_DIR}"
    COMMENT "Building external Qt resource ${_RCC_FILE}"
    VERBATIM
)
add_dependencies(build_rcc build_qrc)

add_dependencies(kexi build_rcc)

install(FILES
        ${_RCC_FILE}
        DESTINATION "${ICONS_INSTALL_DIR}"
)

add_update_file_target(
    TARGET update_kexi_breeze
    COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/update_kexi_breeze_list.sh" kexi_breeze_files.cmake
    FILE kexi_breeze_files.cmake
    SOURCES "${CMAKE_CURRENT_SOURCE_DIR}/update_kexi_breeze_list.sh"
)
add_dependencies(update_all_rcc update_${_target})

unset(_BASE_DIR)
unset(_QRC_FILE)
unset(_RCC_FILE)
unset(_target)
unset(_theme)
unset(_prefix)

=== src/plugins/CMakeLists.txt ===
add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44021)

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
  add_subdirectory( tables )
  add_subdirectory( queries )
  add_subdirectory( forms )
  add_subdirectory( reports )
  add_subdirectory( migration )
  add_subdirectory( importexport )

  if(KEXI_SCRIPTS_SUPPORT)
     add_subdirectory(scripting)
  endif()
endif ()

=== src/tests/CMakeLists.txt ===
if(BUILD_TESTING)
    if(SHOULD_BUILD_KEXI_DESKTOP_APP)
        add_subdirectory( newapi )
        add_subdirectory( migration )
    endif()
  #add_subdirectory( widgets )
  #add_subdirectory( odf )
  #add_subdirectory( mainwindow )
  add_subdirectory( sqlitetest )
endif()

=== src/widget/CMakeLists.txt ===
add_subdirectory( dataviewcommon )
add_subdirectory( relations )
add_subdirectory( undo )
add_subdirectory( utils )

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
    add_subdirectory( tableview )
endif()

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=44023)

include_directories(${CMAKE_SOURCE_DIR}/src/widget/tableview ${CMAKE_SOURCE_DIR}/src/core)


########### next target ###############

set(kexiextendedwidgets_LIB_SRCS
    fields/KexiFieldComboBox.cpp
    fields/KexiFieldListModel.cpp
    fields/KexiFieldListModelItem.cpp
    fields/KexiFieldListView.cpp

    navigator/KexiProjectModel.cpp
    navigator/KexiProjectModelItem.cpp
    navigator/KexiProjectItemDelegate.cpp
    navigator/KexiProjectNavigator.cpp
    navigator/KexiProjectTreeView.cpp

    properties/KexiCustomPropertyFactory.cpp
    properties/KexiCustomPropertyFactory_p.cpp
    properties/KexiPropertyEditorView.cpp
    properties/KexiPropertyPaneViewBase.cpp

    kexiquerydesignersqleditor.cpp
    kexiqueryparameters.cpp
    kexisectionheader.cpp
    kexidbdrivercombobox.cpp
    kexieditor.cpp
    KexiDataSourceComboBox.cpp
    KexiObjectInfoLabel.cpp
    kexicharencodingcombobox.cpp
    KexiDBTitlePage.cpp
    KexiProjectSelectorWidget.cpp
    kexislider.cpp
    KexiServerDriverNotFoundMessage.cpp
    KexiNameWidget.cpp
    KexiNameDialog.cpp
    KexiFileWidgetInterface.cpp
    KexiFileRequester.cpp
    KexiStartupFileHandler.cpp
    KexiListView.cpp
  )

if(SHOULD_BUILD_KEXI_DESKTOP_APP)
  list(APPEND kexiextendedwidgets_LIB_SRCS
    #navigator/KexiProjectListView.cpp
    #navigator/KexiProjectListViewItem.cpp
    kexidbconnectionwidget.cpp
# TODO replace use of KexiProjectListView and KexiProjectListViewList (with KexiProjectNavigator)
#      in kexiactionselectiondialog and remove them
    kexiprjtypeselector.cpp
    KexiConnectionSelectorWidget.cpp
    KexiFileDialog.cpp
    KexiPasswordWidget.cpp
    KexiDBPasswordDialog.cpp
  )
  if(KEXI_USE_KFILEWIDGET)
    list(APPEND kexiextendedwidgets_LIB_SRCS KexiFileWidget.cpp)
  endif()
  ki18n_wrap_ui(kexiextendedwidgets_LIB_SRCS
    KexiConnectionSelector.ui
    kexidbconnectionwidget.ui
    kexidbconnectionwidgetdetails.ui
    kexiprjtypeselector.ui
    KexiPasswordWidget.ui
  )
endif ()

ki18n_wrap_ui(kexiextendedwidgets_LIB_SRCS
    KexiDBTitlePage.ui
    KexiProjectSelector.ui
)

kexi_add_library(kexiextendedwidgets SHARED ${kexiextendedwidgets_LIB_SRCS})

generate_export_header(kexiextendedwidgets BASE_NAME kexiextwidgets)

target_link_libraries(kexiextendedwidgets
    PRIVATE
        kexidataviewcommon
        kexiguiutils

        KF5::TextWidgets # KTextEdit
        KF5::Codecs # KCharsets
    PUBLIC
        kexicore

        KPropertyWidgets

        KF5::TextEditor
)

if(KEXI_USE_KFILEWIDGET)
    target_link_libraries(kexiextendedwidgets
        PUBLIC KF5::KIOFileWidgets) # KFileWidget
else()
    target_link_libraries(kexiextendedwidgets
        PRIVATE KF5::KIOFileWidgets) # KFileWidget::getStartUrl, KFileFilterCombo
endif()

install(TARGETS kexiextendedwidgets  ${INSTALL_TARGETS_DEFAULT_ARGS})

=== src/migration/spreadsheet/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"keximigrate_spreadsheet\")

include_directories(
    ${CMAKE_SOURCE_DIR}/src
    ${CMAKE_SOURCE_DIR}/libs
    ${KOMAIN_INCLUDES}
)


########### next target ###############

set(keximigrate_spreadsheet_PART_SRCS
    spreadsheetmigrate.cpp
    Messages.sh
)


add_library(keximigrate_spreadsheet MODULE ${keximigrate_spreadsheet_PART_SRCS})

kcoreaddons_desktop_to_json(keximigrate_spreadsheet keximigrate_spreadsheet.desktop)

target_link_libraries(keximigrate_spreadsheet
    keximigrate
    kexiutils
    calligrasheetscommon

    Predicate
)

install(TARGETS keximigrate_spreadsheet DESTINATION ${KEXI_PLUGIN_INSTALL_DIR})

=== src/tests/sqlitetest/CMakeLists.txt ===
set(kexisqlitetest_SRCS main.cpp)

add_executable(kexisqlitetest NOGUI ${kexisqlitetest_SRCS})

target_link_libraries(kexisqlitetest KDb)

## kexi 3.0.2

=== debian/changelog ===
kexi (1:3.0.2-2) unstable; urgency=medium

  * Pass -DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF to cmake, to make sure a GUI/window
    system is assumed to not be present at build time.
  * Suggest kexi-web-form-widget in kexi.

 -- Pino Toscano <pino@debian.org>  Tue, 22 Aug 2017 19:48:45 +0200

kexi (1:3.0.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #871257)
  * Small copyright update.
  * Drop all the pre-Jessie replaces/breaks.
  * Bump kdb, kpropert, and kreport build dependencies to 3.0.2, to ensure
    building against the latest versions.
  * Bump Standards-Version to 4.0.1, no changes required.
  * Add Breaks/Replaces for all the calligra-l10n packages prior to < 2.9.11-2,
    i.e. when kexi was split out of calligra (in Debian).
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 19 Aug 2017 14:14:56 +0200

kexi (1:3.0.1.1-1) experimental; urgency=low

  * Initial release.

 -- Pino Toscano <pino@debian.org>  Sat, 24 Jun 2017 20:10:10 +0200

=== debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: breeze-icon-theme-rcc,
               cmake (>= 3.0),
               debhelper (>= 9),
               default-libmysqlclient-dev,
               extra-cmake-modules (>= 1.8.0),
               libglib2.0-dev,
               libkdb3-dev (>= 3.0.2),
               libkf5archive-dev (>= 5.16.0),
               libkf5codecs-dev (>= 5.16.0),
               libkf5completion-dev (>= 5.16.0),
               libkf5config-dev (>= 5.16.0),
               libkf5configwidgets-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5crash-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5iconthemes-dev (>= 5.16.0),
               libkf5itemviews-dev (>= 5.16.0),
               libkf5kio-dev (>= 5.16.0),
               libkf5texteditor-dev (>= 5.16.0),
               libkf5textwidgets-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkf5xmlgui-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.0.2),
               libkreport3-dev (>= 3.0.2),
               libpq-dev,
               libpqxx-dev,
               libqt5webkit5-dev (>= 5.4.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               postgresql-server-dev-all,
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
Standards-Version: 4.0.1
Homepage: http://www.kexi-project.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/calligra/kexi.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/calligra/kexi.git

Package: kexi
Architecture: any
Section: database
Depends: kexi-data (>= ${source:Version}),
         libkdb3-driver-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-mysql-driver,
          kexi-postgresql-driver,
          kexi-web-form-widget,
Description: integrated database environment for the Calligra Suite
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 Kexi is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.
 .
 This package is part of the Calligra Suite.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kexi:oldLangs}
Replaces: ${kexi:oldLangs}
Description: data files for Kexi
 This package contains architecture-independent data files for Kexi, the
 database program shipped with the Calligra Suite.
 .
 See the kexi package for further information.
 .
 This package is part of the Calligra Suite.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-mysql, ${misc:Depends}, ${shlibs:Depends}
Description: MySQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for MySQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-postgresql, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL support for kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides support for PostgreSQL in Kexi.
 .
 This package is part of the Calligra Suite.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: web form widget for Kexi
 Kexi is an integrated data management application. It can be used for
 creating database schemas, inserting data, performing queries, and
 processing data. Forms can be created to provide a custom interface to
 your data. All database objects - tables, queries and forms - are stored
 in the database, making it easy to share data and design.
 .
 This package provides a web widget for Kexi using QtWebKit.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:2.9.11-2~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra-l10n < 2.9
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove translations of unbuilt stuff
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/kexiforms_mapwidgetplugin.mo
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/keximigrate_spreadsheet.mo

override_dh_install:
	dh_install --fail-missing

override_dh_gencontrol:
	dh_gencontrol -pkexi-data -- -Vkexi:oldLangs='$(l10npkgs_packages_rels)'
	dh_gencontrol --remaining-packages

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4

http://download.kde.org/stable/kexi/src/kexi-([\d\.]+)\.tar\.xz

## kexi 3.1.0

=== debian/changelog ===
kexi (1:3.1.0-4~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 29 Jan 2019 16:09:49 -0800

kexi (1:3.1.0-4) unstable; urgency=medium

  * Backport upstream commit 54b2bcfb2ff1af6e7cbf7bdd60aef3d7c50b2785 to find
    PostgreSQL 11; patch upstream_cmake-find-PostgreSQL-11.patch.
    (Closes: #912157)

 -- Pino Toscano <pino@debian.org>  Sun, 04 Nov 2018 17:14:23 +0100

kexi (1:3.1.0-3) unstable; urgency=medium

  * Update package descriptions according to the upstream feedback.
  * Stop removing unused keximigrate_spreadsheet.mo translations, as they are
    not shipped anymore.
  * Update Vcs-* fields.
  * Backport upstream commit 1578fcb4a0407cf368edb6ee4605c4ef9e77b6ed to fix
    build with Qt >= 5.11; patch
    upstream_Fix-build-with-Qt-5.11-missing-headers.patch. (Closes: #906624)
  * Backport upstream commit 12eed3a629a06fe54f52bf0a36b4c8b81f8e5156 to
    install the application icon; patch
    upstream_Install-the-application-icons.patch
    - update kexi-data.install for this
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 03 Sep 2018 06:53:29 +0200

kexi (1:3.1.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Mar 2018 09:35:02 +0100

kexi (1:3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump the libkdb3-dev, libkproperty3-dev, and libkreport3-dev build
    dependencies to >= 3.1.0~.
  * Update the patches:
    - upstream_improve-.desktop-validity.patch: drop, backported from upstream
  * Update install files.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Switch from dh_install to dh_missing for --fail-missing.
  * Switch Vcs-* fields to salsa.debian.org.

 -- Pino Toscano <pino@debian.org>  Thu, 08 Mar 2018 23:51:57 +0100

kexi (1:3.0.2-4) unstable; urgency=medium

  * Add also 'tr' to the old calligra-l10n languages. (Closes: #874419)

 -- Pino Toscano <pino@debian.org>  Wed, 13 Sep 2017 07:22:25 +0200

kexi (1:3.0.2-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Add breeze-icon-theme-rcc also as runtime dependency, since kexi refuses
    to start otherwise (sigh)...
  * Backport upstream commit 11b6265b8d14d58921edeed519f23d0e362cd7df to make
    the kexi .desktop file more valid; patch
    upstream_improve-.desktop-validity.patch.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Explicitly add the gettext build dependency.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 22:59:44 +0200

=== debian/control ===
Source: kexi
Section: kde
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: breeze-icon-theme-rcc,
               cmake (>= 3.0),
               debhelper (>= 11~),
               default-libmysqlclient-dev,
               extra-cmake-modules (>= 1.8.0),
               gettext,
               libglib2.0-dev,
               libkdb3-dev (>= 3.1.0~),
               libkf5archive-dev (>= 5.16.0),
               libkf5codecs-dev (>= 5.16.0),
               libkf5completion-dev (>= 5.16.0),
               libkf5config-dev (>= 5.16.0),
               libkf5configwidgets-dev (>= 5.16.0),
               libkf5coreaddons-dev (>= 5.16.0),
               libkf5crash-dev (>= 5.16.0),
               libkf5guiaddons-dev (>= 5.16.0),
               libkf5i18n-dev (>= 5.16.0),
               libkf5iconthemes-dev (>= 5.16.0),
               libkf5itemviews-dev (>= 5.16.0),
               libkf5kio-dev (>= 5.16.0),
               libkf5texteditor-dev (>= 5.16.0),
               libkf5textwidgets-dev (>= 5.16.0),
               libkf5widgetsaddons-dev (>= 5.16.0),
               libkf5xmlgui-dev (>= 5.16.0),
               libkproperty3-dev (>= 3.1.0~),
               libkreport3-dev (>= 3.1.0~),
               libpq-dev,
               libpqxx-dev,
               libqt5webkit5-dev (>= 5.4.0),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               postgresql-server-dev-all,
               qtbase5-dev (>= 5.4.0),
               qttools5-dev (>= 5.4.0),
Standards-Version: 4.2.1
Homepage: http://www.kexi-project.org/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kexi.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kexi

Package: kexi
Architecture: any
Section: database
Depends: kexi-data (>= ${source:Version}),
         breeze-icon-theme-rcc,
         libkdb3-driver-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kexi-mysql-driver,
          kexi-postgresql-driver,
          kexi-web-form-widget,
Description: visual database applications builder
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 KEXI is considered as a long awaited Open Source competitor for MS Access,
 Filemaker and Oracle Forms. Its development is motivated by the lack of
 Rapid Application Development (RAD) tools for database systems that are
 sufficiently powerful, inexpensive, open standards driven and portable
 across many operating systems and hardware platforms.

Package: kexi-data
Architecture: all
Depends: ${misc:Depends}
Breaks: ${kexi:oldLangs}
Replaces: ${kexi:oldLangs}
Description: data files for kexi
 This package contains architecture-independent data files for KEXI, the
 database program shipped with the Calligra Suite.
 .
 See the 'kexi' package for further information.

Package: kexi-mysql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-mysql, ${misc:Depends}, ${shlibs:Depends}
Description: MySQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for MySQL in KEXI.

Package: kexi-postgresql-driver
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), libkdb3-driver-postgresql, ${misc:Depends}, ${shlibs:Depends}
Description: PostgreSQL support for kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides support for PostgreSQL in KEXI.

Package: kexi-web-form-widget
Architecture: any
Section: database
Depends: kexi (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: web form widget for Kexi
 KEXI is a visual database applications builder. It can be used for
 designing database applications, inserting and editing data,
 performing queries, and processing data. Forms can be created to
 provide a custom interface to your data. All database objects -
 tables, queries, forms, reports - are stored in the database, making
 it easy to share data and design.
 .
 This package provides a web widget for KEXI using QtWebKit.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

# conflicts with old calligra-l10n
# (mostly copied from l10n-packages.mk in pkg-kde-tools)
l10npkgs_firstversion_ok := 1:2.9.11-2~
l10npkgs_prefix := calligra-l10n
l10npkgs_fixed_version_comma := (<< $(l10npkgs_firstversion_ok)),
# the list of languages in calligra-l10n < 3.0
l10npkgs_langs := bs ca cavalencia cs da de el engb es et eu fi fr gl hu it ja kk nb nds nl pl pt ptbr ru sk sv tr uk zhcn zhtw
l10npkgs_packages_rels := $(patsubst %,$(l10npkgs_prefix)-% $(l10npkgs_fixed_version_comma),$(l10npkgs_langs))

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF -DKEXI_QTGUI_RUNTIME_AVAILABLE=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/tmp -name '*.so' -type l -print -delete
	# remove translations of unbuilt stuff
	rm -f debian/tmp/usr/share/locale/*/LC_MESSAGES/kexiforms_mapwidgetplugin.mo

override_dh_missing:
	dh_missing --fail-missing

override_dh_gencontrol:
	dh_gencontrol -pkexi-data -- -Vkexi:oldLangs='$(l10npkgs_packages_rels)'
	dh_gencontrol --remaining-packages

.PHONY: override_dh_auto_test

override_dh_strip:
	dh_strip --no-automatic-dbgsym
